summaryrefslogtreecommitdiff
path: root/tests/data/cmd-fake
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data/cmd-fake')
-rwxr-xr-xtests/data/cmd-fake9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/data/cmd-fake b/tests/data/cmd-fake
index 199bd57..add72fc 100755
--- a/tests/data/cmd-fake
+++ b/tests/data/cmd-fake
@@ -82,10 +82,15 @@ get)
;;
store)
if [ -n "$3" ] ; then
- echo "Too many arguments" >&2
+ echo 'Too many arguments' >&2
+ exit 1
+ fi
+ if [ -n "$2" ] ; then
+ echo 'stdin remctld configuration not supported' >&2
exit 1
fi
- printf "$type $1\n$2" > store-output
+ printf "$type $1\n" > store-output
+ cat >> store-output
;;
show)
if [ -n "$2" ] ; then